## radeontop 0.6

=== Makefile ===
# The make-provided flags like MAKE and CC aren't set, on purpose.
# This is Linux-specific software, so we can depend on GNU make.

PREFIX ?= /usr
INSTALL ?= install

bin = radeontop
src = $(wildcard *.c)
obj = $(src:.c=.o)
verh = include/version.h

CFLAGS ?= -Os
CFLAGS += -Wall -Wextra -pthread
CFLAGS += -Iinclude
CFLAGS += -ffunction-sections -fdata-sections
CFLAGS += $(shell pkg-config --cflags pciaccess)
CFLAGS += $(shell pkg-config --cflags ncurses 2>/dev/null)

# Comment this if you don't want translations
CFLAGS += -DENABLE_NLS=1

ifdef debug
	CFLAGS += -g
else
	CFLAGS += -s
endif

LDFLAGS += -Wl,-O1 -Wl,-gc-sections
LIBS += $(shell pkg-config --libs pciaccess)

# On some distros, you might have to change this to ncursesw
LIBS += $(shell pkg-config --libs ncurses 2>/dev/null || echo "-lncurses")

.PHONY: all clean install man dist

all: $(bin)

$(obj): $(wildcard include/*.h) $(verh)

$(bin): $(obj)
	$(CC) -o $(bin) $(obj) $(CFLAGS) $(LDFLAGS) $(LIBS)

clean:
	rm -f *.o $(bin)

.git:

$(verh): .git

trans:
	xgettext -o translations/radeontop.pot -k_ *.c \
	--package-name radeontop

install: all
	$(INSTALL) -D -m755 $(bin) $(DESTDIR)/$(PREFIX)/sbin/$(bin)
	$(INSTALL) -D -m644 radeontop.1 $(DESTDIR)/$(PREFIX)/share/man/man1/radeontop.1
	$(MAKE) -C translations install PREFIX=$(PREFIX)

man:
	a2x -f manpage radeontop.asc

dist: ver = $(shell git describe)
dist: name = $(bin)-$(ver)
dist: clean $(verh)
	sed -i '/\t\.\/getver.sh/d' Makefile
	cd .. && \
	ln -s $(bin) $(name) && \
	tar -h --numeric-owner --exclude-vcs -cvf - $(name) | pigz -9 > /tmp/$(name).tgz && \
	rm $(name)
	advdef -z4 /tmp/$(name).tgz
	git checkout Makefile
	cd /tmp && sha1sum $(name).tgz > $(name).tgz.sha1

=== translations/Makefile ===
INSTALL ?= install
MSGFMT ?= msgfmt

src = $(wildcard *.po)
obj = $(src:.po=.mo)
inst = $(src:.po=.inst)

.PHONY: all install

all: $(obj)

$(obj): $(src)

%.mo: %.po
	$(MSGFMT) -o $@ $<

%.inst: %.mo
	$(INSTALL) -D -m 644 $< $(DESTDIR)/$(PREFIX)/share/locale/$*/LC_MESSAGES/$<

install: all $(inst)

=== debian/changelog ===
radeontop (0.6-2) unstable; urgency=low

  * Include updated watch file (Thanks Bart Martens).
  * Bump standards to version 3.9.4 (no changes required).

 -- John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>  Sun, 27 Jan 2013 23:58:30 +0100

radeontop (0.6-1) unstable; urgency=low

  * Update to latest upstream release.

 -- John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>  Thu, 08 Nov 2012 15:10:56 +0100

radeontop (0.5.4.1-1) unstable; urgency=low

  * Initial release (Closes: #680892)

 -- John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>  Tue, 10 Jul 2012 01:28:50 +0200

## radeontop 0.7

=== Makefile ===
--- 
+++ 
@@ -1,35 +1,52 @@
 # The make-provided flags like MAKE and CC aren't set, on purpose.
 # This is Linux-specific software, so we can depend on GNU make.
 
+# Options:
+#	nls	enable translations, default on
+#	debug	enable debug symbols, default off
+#	plain	apply neither -g nor -s.
+
 PREFIX ?= /usr
 INSTALL ?= install
+
+nls ?= 1
 
 bin = radeontop
 src = $(wildcard *.c)
 obj = $(src:.c=.o)
 verh = include/version.h
 
+CFLAGS_SECTIONED = -ffunction-sections -fdata-sections
+LDFLAGS_SECTIONED = -Wl,-gc-sections
+
 CFLAGS ?= -Os
 CFLAGS += -Wall -Wextra -pthread
 CFLAGS += -Iinclude
-CFLAGS += -ffunction-sections -fdata-sections
+CFLAGS += $(CFLAGS_SECTIONED)
 CFLAGS += $(shell pkg-config --cflags pciaccess)
 CFLAGS += $(shell pkg-config --cflags ncurses 2>/dev/null)
 
 # Comment this if you don't want translations
-CFLAGS += -DENABLE_NLS=1
+ifeq ($(nls), 1)
+	CFLAGS += -DENABLE_NLS=1
+endif
 
 ifdef debug
 	CFLAGS += -g
+else ifdef plain
+#
 else
 	CFLAGS += -s
 endif
 
-LDFLAGS += -Wl,-O1 -Wl,-gc-sections
+LDFLAGS ?= -Wl,-O1
+LDFLAGS += $(LDFLAGS_SECTIONED)
 LIBS += $(shell pkg-config --libs pciaccess)
 
 # On some distros, you might have to change this to ncursesw
-LIBS += $(shell pkg-config --libs ncurses 2>/dev/null || echo "-lncurses")
+LIBS += $(shell pkg-config --libs ncursesw 2>/dev/null || \
+		shell pkg-config --libs ncurses 2>/dev/null || \
+		echo "-lncurses")
 
 .PHONY: all clean install man dist
 
@@ -46,6 +63,7 @@
 .git:
 
 $(verh): .git
+	./getver.sh
 
 trans:
 	xgettext -o translations/radeontop.pot -k_ *.c \
@@ -54,7 +72,9 @@
 install: all
 	$(INSTALL) -D -m755 $(bin) $(DESTDIR)/$(PREFIX)/sbin/$(bin)
 	$(INSTALL) -D -m644 radeontop.1 $(DESTDIR)/$(PREFIX)/share/man/man1/radeontop.1
+ifeq ($(nls), 1)
 	$(MAKE) -C translations install PREFIX=$(PREFIX)
+endif
 
 man:
 	a2x -f manpage radeontop.asc

=== debian/changelog ===
radeontop (0.7-1) unstable; urgency=low

  * New upstream release.
    - add complete Russian translation
    - fix various locales
    - update PCI IDs to support Oland, Hainan, Bonaire, Kabini
      and Kaveri GPUs
    - improve dumping into pipes

 -- John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>  Sun, 15 Dec 2013 23:41:17 +0100

=== debian/control ===
Source: radeontop
Section: utils
Priority: extra
Maintainer: John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>
Build-Depends: debhelper (>= 9.0.0), libpciaccess-dev, pkg-config, libncurses5-dev
Standards-Version: 3.9.4
Homepage: https://github.com/clbr/radeontop
Vcs-Git: git://github.com/glaubitz/radeontop-debian.git
Vcs-Browser: https://github.com/glaubitz/radeontop-debian

Package: radeontop
Architecture: any
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Utility to show Radeon GPU utilization
 radeontop is a small utility which allows one to monitor the utilization of
 Radeon GPUs starting from the R600 series and newer using undocumented
 performance counters in the hardware. The utility works with the free
 drivers.
 .
 It displays the utilization of the graphics pipe, event engine, vertex cache,
 vertex group and tesselator, texture addresser and cache, the shader units
 and more, both with a relative percent value as well as a colorful bar diagram.
 .

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
export debug=1

%:
	dh $@

## radeontop 0.8

=== Makefile ===
--- 
+++ 
@@ -4,6 +4,7 @@
 # Options:
 #	nls	enable translations, default on
 #	debug	enable debug symbols, default off
+#	nostrip	disable stripping, default off
 #	plain	apply neither -g nor -s.
 
 PREFIX ?= /usr
@@ -24,6 +25,7 @@
 CFLAGS += -Iinclude
 CFLAGS += $(CFLAGS_SECTIONED)
 CFLAGS += $(shell pkg-config --cflags pciaccess)
+CFLAGS += $(shell pkg-config --cflags libdrm)
 CFLAGS += $(shell pkg-config --cflags ncurses 2>/dev/null)
 
 # Comment this if you don't want translations
@@ -31,17 +33,19 @@
 	CFLAGS += -DENABLE_NLS=1
 endif
 
+ifndef plain
 ifdef debug
 	CFLAGS += -g
-else ifdef plain
-#
-else
+endif
+ifndef nostrip
 	CFLAGS += -s
+endif
 endif
 
 LDFLAGS ?= -Wl,-O1
 LDFLAGS += $(LDFLAGS_SECTIONED)
 LIBS += $(shell pkg-config --libs pciaccess)
+LIBS += $(shell pkg-config --libs libdrm)
 
 # On some distros, you might have to change this to ncursesw
 LIBS += $(shell pkg-config --libs ncursesw 2>/dev/null || \

=== debian/changelog ===
radeontop (0.8-1~bpo70+1) wheezy-backports; urgency=medium

  * Rebuild for wheezy-backports.

 -- John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>  Wed, 14 May 2014 20:45:47 +0200

radeontop (0.8-1) unstable; urgency=low

  * New upstream release.
    - update PCI IDs to support Hawaii GPUs and fix the
      mislabeled Sumo 2 GPUs
    - improve Makefile to have better control over -g and -s options
    - build with libdrm support
    - add VRAM reporting support
    - refresh translation template
  * Clean up debian/changelog.
  * Update Debian standards version to 3.9.5, no changes required.
  * Add build dependency to libdrm-dev in debian/control.

 -- John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>  Sat, 03 May 2014 10:31:35 +0200

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: utils
 Priority: extra
 Maintainer: John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>
-Build-Depends: debhelper (>= 9.0.0), libpciaccess-dev, pkg-config, libncurses5-dev
-Standards-Version: 3.9.4
+Build-Depends: debhelper (>= 9.0.0), libpciaccess-dev, pkg-config, libncurses5-dev, libdrm-dev
+Standards-Version: 3.9.5
 Homepage: https://github.com/clbr/radeontop
 Vcs-Git: git://github.com/glaubitz/radeontop-debian.git
 Vcs-Browser: https://github.com/glaubitz/radeontop-debian

## radeontop 0.9

=== Makefile ===
--- 
+++ 
@@ -36,8 +36,7 @@
 ifndef plain
 ifdef debug
 	CFLAGS += -g
-endif
-ifndef nostrip
+else ifndef nostrip
 	CFLAGS += -s
 endif
 endif

=== debian/changelog ===
radeontop (0.9-1build1) xenial; urgency=medium

  * No-change rebuild for ncurses6 transition.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 07 Feb 2016 09:45:16 +0000

radeontop (0.9-1) unstable; urgency=medium

  * New upstream release.
    - add support for Topaz, Tonga and Carrizo
    - refresh PCI IDs of various cards
    - add support to allow toggling colors while running
    - make radeontop work even when CONFIG_DEVMEM is disabled
      in the configuration of the running kernel
    - add VRAM reporting support
    - add support for fglrx
    - various bug fixes and improvements
  * Update Debian standards version to 3.9.5, no changes required.

 -- John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>  Tue, 08 Sep 2015 18:20:12 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: extra
 Maintainer: John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>
 Build-Depends: debhelper (>= 9.0.0), libpciaccess-dev, pkg-config, libncurses5-dev, libdrm-dev
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: https://github.com/clbr/radeontop
 Vcs-Git: git://github.com/glaubitz/radeontop-debian.git
 Vcs-Browser: https://github.com/glaubitz/radeontop-debian

## radeontop 1.0

=== translations/Makefile ===
--- 
+++ 
@@ -15,6 +15,6 @@
 	$(MSGFMT) -o $@ $<
 
 %.inst: %.mo
-	$(INSTALL) -D -m 644 $< $(DESTDIR)/$(PREFIX)/share/locale/$*/LC_MESSAGES/$<
+	$(INSTALL) -D -m 644 $< $(DESTDIR)/$(PREFIX)/share/locale/$*/LC_MESSAGES/radeontop.mo
 
 install: all $(inst)

=== debian/changelog ===
radeontop (1.0-1) unstable; urgency=medium

  * New upstream release.
    - add support for resizable terminals
    - add support for VRAM size and usage reporting on amdgpu
    - add support for Polaris 10 and Polaris 11
    - add optional unprivileged mode in Xorg
    - allow unprivileged use of radeontop via console
    - various bug fixes and improvements
  * Update standards version to 3.9.8 in debian/control.
  * Add libxcb1-dev and libxcb-dri2-0-dev to
    Build-Depends in debian/control.
  * Update years in debian/copyright.

 -- John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>  Sat, 08 Apr 2017 19:26:11 +0200

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: utils
 Priority: extra
 Maintainer: John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>
-Build-Depends: debhelper (>= 9.0.0), libpciaccess-dev, pkg-config, libncurses5-dev, libdrm-dev
-Standards-Version: 3.9.6
+Build-Depends: debhelper (>= 9.0.0), libpciaccess-dev, pkg-config, libncurses5-dev, libdrm-dev, libxcb1-dev, libxcb-dri2-0-dev
+Standards-Version: 3.9.8
 Homepage: https://github.com/clbr/radeontop
 Vcs-Git: git://github.com/glaubitz/radeontop-debian.git
 Vcs-Browser: https://github.com/glaubitz/radeontop-debian

## radeontop 1.1

=== Makefile ===
--- 
+++ 
@@ -6,14 +6,21 @@
 #	debug	enable debug symbols, default off
 #	nostrip	disable stripping, default off
 #	plain	apply neither -g nor -s.
+#	xcb	enable libxcb to run unprivileged in Xorg, default on
+#	amdgpu	enable amdgpu VRAM size and usage reporting, default off
+#		because amdgpu requires libdrm >= 2.4.63
 
 PREFIX ?= /usr
 INSTALL ?= install
+LIBDIR ?= lib
 
 nls ?= 1
+xcb ?= 1
+amdgpu ?= 0
 
 bin = radeontop
-src = $(wildcard *.c)
+xcblib = libradeontop_xcb.so
+src = $(filter-out auth_xcb.c,$(wildcard *.c))
 obj = $(src:.c=.o)
 verh = include/version.h
 
@@ -26,11 +33,19 @@
 CFLAGS += $(CFLAGS_SECTIONED)
 CFLAGS += $(shell pkg-config --cflags pciaccess)
 CFLAGS += $(shell pkg-config --cflags libdrm)
+ifeq ($(xcb), 1)
+	CFLAGS += $(shell pkg-config --cflags xcb xcb-dri2)
+	CFLAGS += -DENABLE_XCB=1
+endif
 CFLAGS += $(shell pkg-config --cflags ncurses 2>/dev/null)
 
 # Comment this if you don't want translations
 ifeq ($(nls), 1)
 	CFLAGS += -DENABLE_NLS=1
+endif
+
+ifeq ($(amdgpu), 1)
+	CFLAGS += -DENABLE_AMDGPU=1
 endif
 
 ifndef plain
@@ -45,6 +60,10 @@
 LDFLAGS += $(LDFLAGS_SECTIONED)
 LIBS += $(shell pkg-config --libs pciaccess)
 LIBS += $(shell pkg-config --libs libdrm)
+ifeq ($(xcb), 1)
+	xcb_LIBS += $(shell pkg-config --libs xcb xcb-dri2)
+	LIBS += -ldl
+endif
 
 # On some distros, you might have to change this to ncursesw
 LIBS += $(shell pkg-config --libs ncursesw 2>/dev/null || \
@@ -55,13 +74,20 @@
 
 all: $(bin)
 
+ifeq ($(xcb), 1)
+all: $(xcblib)
+
+$(xcblib): auth_xcb.c $(wildcard include/*.h) $(verh)
+	$(CC) -shared -fPIC -o $@ $< $(CFLAGS) $(LDFLAGS) $(xcb_LIBS)
+endif
+
 $(obj): $(wildcard include/*.h) $(verh)
 
 $(bin): $(obj)
 	$(CC) -o $(bin) $(obj) $(CFLAGS) $(LDFLAGS) $(LIBS)
 
 clean:
-	rm -f *.o $(bin)
+	rm -f *.o $(bin) $(xcblib)
 
 .git:
 
@@ -74,6 +100,9 @@
 
 install: all
 	$(INSTALL) -D -m755 $(bin) $(DESTDIR)/$(PREFIX)/sbin/$(bin)
+ifeq ($(xcb), 1)
+	$(INSTALL) -D -m755 $(xcblib) $(DESTDIR)/$(PREFIX)/$(LIBDIR)/$(xcblib)
+endif
 	$(INSTALL) -D -m644 radeontop.1 $(DESTDIR)/$(PREFIX)/share/man/man1/radeontop.1
 ifeq ($(nls), 1)
 	$(MAKE) -C translations install PREFIX=$(PREFIX)

=== debian/changelog ===
radeontop (1.1-2) unstable; urgency=medium

  * Override dh_auto_build with empty target in debian/rules
    to avoid radeontop being built twice.
  * Remove trailing space from dh command line in debian/rules.
  * Add -DENABLE_AMDGPU=1 to DEB_CFLAGS_MAINT_APPEND to
    enable amdgpu support. (Closes: #870135)

 -- John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>  Sun, 30 Dec 2018 13:16:25 +0100

radeontop (1.1-1) unstable; urgency=medium

  * New upstream release. (Closes: #894054)
    - update PCI IDs for one polaris12 and one raven card
    - drop privileges for setuid installations
    - add appstream info file
    - add support for GTT memory status
    - update amdgpu PCI IDs; two new ones for old
      families, polaris 12 and vega 10 cards
    - various bug fixes and improvements
  * Bump debhelper version to 12.
  * Update standards version to 4.2.1, no changes required.

 -- John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>  Sun, 30 Dec 2018 00:32:12 +0100

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: utils
 Priority: extra
 Maintainer: John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>
-Build-Depends: debhelper (>= 9.0.0), libpciaccess-dev, pkg-config, libncurses5-dev, libdrm-dev, libxcb1-dev, libxcb-dri2-0-dev
-Standards-Version: 3.9.8
+Build-Depends: debhelper (>= 12), libpciaccess-dev, pkg-config, libncurses5-dev, libdrm-dev, libxcb1-dev, libxcb-dri2-0-dev
+Standards-Version: 4.2.1
 Homepage: https://github.com/clbr/radeontop
 Vcs-Git: git://github.com/glaubitz/radeontop-debian.git
 Vcs-Browser: https://github.com/glaubitz/radeontop-debian

=== debian/watch ===
version=3
https://github.com/clbr/radeontop/tags .*/v?(\d.*)\.(?:tgz|tbz2|tar\.(?:gz|bz2|xz))
# Bart Martens <bartm@debian.org>  Fri, 23 Nov 2012 19:47:38 +0000

## radeontop 1.2

=== Makefile ===
--- 
+++ 
@@ -8,11 +8,12 @@
 #	plain	apply neither -g nor -s.
 #	xcb	enable libxcb to run unprivileged in Xorg, default on
 #	amdgpu	enable amdgpu VRAM size and usage reporting, default off
-#		because amdgpu requires libdrm >= 2.4.63
+#		because amdgpu requires libdrm >= 2.4.77
 
 PREFIX ?= /usr
 INSTALL ?= install
 LIBDIR ?= lib
+MANDIR ?= share/man
 
 nls ?= 1
 xcb ?= 1
@@ -78,7 +79,7 @@
 all: $(xcblib)
 
 $(xcblib): auth_xcb.c $(wildcard include/*.h) $(verh)
-	$(CC) -shared -fPIC -o $@ $< $(CFLAGS) $(LDFLAGS) $(xcb_LIBS)
+	$(CC) -shared -fPIC -Wl,-soname,$@ -o $@ $< $(CFLAGS) $(LDFLAGS) $(xcb_LIBS)
 endif
 
 $(obj): $(wildcard include/*.h) $(verh)
@@ -103,7 +104,7 @@
 ifeq ($(xcb), 1)
 	$(INSTALL) -D -m755 $(xcblib) $(DESTDIR)/$(PREFIX)/$(LIBDIR)/$(xcblib)
 endif
-	$(INSTALL) -D -m644 radeontop.1 $(DESTDIR)/$(PREFIX)/share/man/man1/radeontop.1
+	$(INSTALL) -D -m644 radeontop.1 $(DESTDIR)/$(PREFIX)/$(MANDIR)/man1/radeontop.1
 ifeq ($(nls), 1)
 	$(MAKE) -C translations install PREFIX=$(PREFIX)
 endif

=== debian/changelog ===
radeontop (1.2-1) unstable; urgency=medium

  * New upstream release.
    - update PCI IDs from latest kernel, Navi10 support
    - update PCI IDs, adding VEGAM, VEGA12 and VEGA20
    - fix bus being wrong when auto-detecting GPU
    - add an soname to libradeontop_xcb.so
    - tune the UI so it fits to normal terminals still
    - bump the required libdrm version to 2.4.77
    - add support for memory and shader clock reporting
    - update man page
    - add --dump-interval command-line option
    - fix bus parameter to be hexadecimal
    - add bus information to dump and UI
    - don't sleep when dumping the last line
  * Update standards version to 4.4.0, no changes required.

 -- John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>  Sat, 07 Sep 2019 15:21:38 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: extra
 Maintainer: John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>
 Build-Depends: debhelper (>= 12), libpciaccess-dev, pkg-config, libncurses5-dev, libdrm-dev, libxcb1-dev, libxcb-dri2-0-dev
-Standards-Version: 4.2.1
+Standards-Version: 4.4.0
 Homepage: https://github.com/clbr/radeontop
 Vcs-Git: git://github.com/glaubitz/radeontop-debian.git
 Vcs-Browser: https://github.com/glaubitz/radeontop-debian

## radeontop 1.3

=== Makefile ===
--- 
+++ 
@@ -7,8 +7,8 @@
 #	nostrip	disable stripping, default off
 #	plain	apply neither -g nor -s.
 #	xcb	enable libxcb to run unprivileged in Xorg, default on
-#	amdgpu	enable amdgpu VRAM size and usage reporting, default off
-#		because amdgpu requires libdrm >= 2.4.77
+#	amdgpu	enable amdgpu usage reporting, default auto
+#		it requires libdrm >= 2.4.63
 
 PREFIX ?= /usr
 INSTALL ?= install
@@ -17,12 +17,10 @@
 
 nls ?= 1
 xcb ?= 1
-amdgpu ?= 0
 
 bin = radeontop
 xcblib = libradeontop_xcb.so
-src = $(filter-out auth_xcb.c,$(wildcard *.c))
-obj = $(src:.c=.o)
+src = $(filter-out amdgpu.c auth_xcb.c,$(wildcard *.c))
 verh = include/version.h
 
 CFLAGS_SECTIONED = -ffunction-sections -fdata-sections
@@ -45,8 +43,25 @@
 	CFLAGS += -DENABLE_NLS=1
 endif
 
+# autodetect libdrm features
+ifeq ($(shell pkg-config --atleast-version=2.4.66 libdrm && echo ok), ok)
+	CFLAGS += -DHAS_DRMGETDEVICE=1
+endif
+
+ifeq ($(shell pkg-config --atleast-version=2 libdrm_amdgpu && echo ok), ok)
+	amdgpu ?= 1
+else
+	amdgpu ?= 0
+endif
+
 ifeq ($(amdgpu), 1)
+	src += amdgpu.c
 	CFLAGS += -DENABLE_AMDGPU=1
+	LIBS += $(shell pkg-config --libs libdrm_amdgpu)
+
+	ifeq ($(shell pkg-config --atleast-version=2.4.79 libdrm_amdgpu && echo ok), ok)
+		CFLAGS += -DHAS_AMDGPU_QUERY_SENSOR_INFO=1
+	endif
 endif
 
 ifndef plain
@@ -57,10 +72,12 @@
 endif
 endif
 
+obj = $(src:.c=.o)
 LDFLAGS ?= -Wl,-O1
 LDFLAGS += $(LDFLAGS_SECTIONED)
 LIBS += $(shell pkg-config --libs pciaccess)
 LIBS += $(shell pkg-config --libs libdrm)
+LIBS += -lm
 ifeq ($(xcb), 1)
 	xcb_LIBS += $(shell pkg-config --libs xcb xcb-dri2)
 	LIBS += -ldl

=== debian/changelog ===
radeontop (1.3-1) unstable; urgency=medium

  * New upstream release. (Closes: #978095)
    - Update pci ids, one navi10, new sienna cichlid
    - Update pot file
    - Transparency style fixes
    - Transparency support
    - Update pci ids: arcturus, renoir, navi12, navi14
    - Round the size of the percentage bar to the nearest integer
    - Add Screenshot
    - Refresh man page
    - Add a warning when failing to drop DRM master
    - Add support to open DRM device nodes by pathname
    - Rework of DRM initialization code
    - Add support to discover devices via DRM
    - Move libdrm code to separate functions
    - Warning fix, make the struct copy explicit
    - Move pciaccess code to separate functions
    - Restore libdrm defines, so the non-root-radeon
      support works on older libdrm but new kernel
    - Warning fix, clarify two radeon error messages
    - Update man page
    - Fix matching PCI bus 0 via command line argument
    - Add clock frequency reporting to radeon
    - Check driver version to discover features
    - Move device dependent code to amdgpu.c and radeon.c
    - Move amdgpu code to init_amdgpu() and cleanup_amdgpu()
    - Move radeon initialization code to init_radeon()
    - Revive previously removed radeon_get_drm_value()
    - Use directly the backend functions to get GPU usage
    - Display shader clock on APUs
    - Documentation update for amdgpu and command line
    - Update pci ids from latest kernel, Navi10 support
    - Last commit broke radeon VRAM reading, fix
    - Split getvram() and getgtt() to separate backends
    - Replace amdgpu code with libdrm_amdgpu and autodetect it
    - Add amdgpu backend to getgrbm_device_amdgpu()
    - Split readgrbm() in two seaparate backend functions
    - Move device dependent functions to detect.c
  * Update standards version to 4.5.1 in debian/control.
  * Update Vcs-* fields for new Salsa project in debian/control.

 -- John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>  Fri, 25 Dec 2020 23:46:38 +0100

=== debian/control ===
--- 
+++ 
@@ -3,10 +3,10 @@
 Priority: extra
 Maintainer: John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>
 Build-Depends: debhelper (>= 12), libpciaccess-dev, pkg-config, libncurses5-dev, libdrm-dev, libxcb1-dev, libxcb-dri2-0-dev
-Standards-Version: 4.4.0
+Standards-Version: 4.5.1
 Homepage: https://github.com/clbr/radeontop
-Vcs-Git: git://github.com/glaubitz/radeontop-debian.git
-Vcs-Browser: https://github.com/glaubitz/radeontop-debian
+Vcs-Browser: https://salsa.debian.org/debian/radeontop
+Vcs-Git: https://salsa.debian.org/debian/radeontop.git
 
 Package: radeontop
 Architecture: any

## radeontop 1.4

=== Makefile ===
--- 
+++ 
@@ -117,7 +117,7 @@
 	--package-name radeontop
 
 install: all
-	$(INSTALL) -D -m755 $(bin) $(DESTDIR)/$(PREFIX)/sbin/$(bin)
+	$(INSTALL) -D -m755 $(bin) $(DESTDIR)/$(PREFIX)/bin/$(bin)
 ifeq ($(xcb), 1)
 	$(INSTALL) -D -m755 $(xcblib) $(DESTDIR)/$(PREFIX)/$(LIBDIR)/$(xcblib)
 endif

=== debian/changelog ===
radeontop (1.4-1) unstable; urgency=medium

  * New upstream release
    - Update pci ids. Van gogh, yellow carp, navy
      flounder, dimgrey cavefish, aldebaran
    - Install radeontop to /usr/bin
    - Sync translations from launchpad
  * Add missing newline at the end of debian/control
  * Switch priority from extra to optional in debian/control
  * Use correct shortname for GPL-3 license in debian/copyright
  * Update copyright years in debian/copyright

 -- John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>  Mon, 20 Dec 2021 19:20:35 +0100

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Source: radeontop
 Section: utils
-Priority: extra
+Priority: optional
 Maintainer: John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>
 Build-Depends: debhelper (>= 12), libpciaccess-dev, pkg-config, libncurses5-dev, libdrm-dev, libxcb1-dev, libxcb-dri2-0-dev
 Standards-Version: 4.5.1

=== debian/rules ===
--- 
+++ 
@@ -5,5 +5,10 @@
 #export DH_VERBOSE=1
 export debug=1
 
+export DEB_CFLAGS_MAINT_APPEND += -DENABLE_AMDGPU=1
+
+override_dh_auto_build:
+	:
+
 %:
-	dh $@ 
+	dh $@
